<%= stylesheet_link_tag "dashboard.css" %>
<%= stylesheet_link_tag "health_centres.css", "map_menu.css" %>
<%= javascript_include_tag "map_menu.js" %>
<link rel="stylesheet" href="https://www.w3schools.com/lib/w3.css">

<div class="container">
<div class="w3-container" id="filters-div">
  <div class="w3-card-4" >
    <header class="w3-container w3-light-grey">
      <h1><center>Filtros</center></h1>
    </header>
    <div class="w3-container" id="filters-text">
    </div>
  </div>
</div>

<div class="w3-container">
  <div class="w3-card-4" >
    <header class="w3-container w3-light-grey">
      <h1><center>Dados Gerais</center></h1>
    </header>

    <div class="w3-container">
      <div class='col-md-6'>
        <table class='health_centres_rank table table-sm table-inverse'>
           <caption><center>Ranking de hospitais que realizam mais internações hospitalares</center></caption>
           <thead>
            <tr>
              <th>#</th>
              <th>Hospital</th>
              <th>Nº de Internações</th>
            </tr>
          </thead>
          <tbody></tbody>
        </table>
     </div>
      <div class='col-md-6'>
        <div id='procedure_by_date' style='width: 580px; height: 450px'></div>
      </div>
    </div>

  </div>
</div>

<div class="w3-container">
    <div class="w3-card-4" >
        <header class="w3-container w3-light-grey">
            <h1><center>Especialidades</center></h1>
        </header>
        <div class="w3-container">
            <div class='row'>
                <div class='col-md-5'>
                    <div id="chart_specialties" style="width: 600px; height: 440px;"></div>
                </div>
                <div class='col-md-7'>
                    <div id="chart_spec_distance_average"  style="width: 680px; height: 440px;"></div>
                </div>
            </div>
            <div class="row">
                <div class='col-md-12'>
                    <div id="chart_spec_total"  style="width: 800px; height: 400px;, position: center;"></div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="w3-container">
    <div class="w3-card-4" align="center">
        <header class="w3-container w3-light-grey">
            <h1><center>Porcentagem de Internações por distância percorrida</center></h1>
        </header>
        <div class="w3-container">
            <div class='row'>
                <div class='col-md-12'>
                    <div id="chart_div_analise" style="width: 600px; height: 600px;"></div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="w3-container" id="avarage_distance_div">
  <div class="w3-card-4" >
    <header class="w3-container w3-light-grey">
      <h1><center>Distância Média Percorrida por Pacientes(Km)</center></h1>
    </header>
    <div class="w3-container">

        <div class='row'>
          <div class='col-md-6'>
            <div id="chart_cirurgia" style="width: 100%; height: 400px;"></div>
          </div>
          <div class='col-md-6'>
            <div id="chart_obstetrecia"  style="width: 100%; height: 400px;"></div>
          </div>
        </div>

        <div class='row'>
          <div class='col-md-6'>
            <div id="chart_pacientes" style="width: 100%; height: 400px;"></div>
          </div>
          <div class='col-md-6'>
            <div id="chart_psiquiatria"  style="width: 100%; height: 400px;"></div>
          </div>
        </div>

        <div class='row'>
          <div class='col-md-6'>
            <div id="chart_pediatria"  style="width: 100%; height: 400px;"></div>
          </div>
          <div class='col-md-6'>
            <div id="chart_reabilitacao" style="width: 100%; height: 400px;"></div>
          </div>
        </div>

        <div class="row">
          <div class='col-md-6'>
            <div id="chart_clinica_medica" style="width: 100%; height: 400px;"></div>
          </div>
          <div class='col-md-6'>
            <div id="chart_psiquiatria_dia" style="width: 100%; height: 400px;"></div>
          </div>
        </div>

        <div class="row">
          <div class='col-md-6'>
            <div id="chart_tisiologia" style="width: 100%; height: 400px;"></div>
          </div>
        </div>
    </div>
  </div>
</div>

<div class="w3-container">
    <div class="w3-card-4" align="center">
        <header class="w3-container w3-light-grey">
            <h1><center>Variáveis de Busca</center></h1>
        </header>
        <div class="w3-container">
            <div class='row'>
                <div class='col-md-12'>
                  <select id="select-chart" onchange="changeChart()">
                    <% @select_text.each.with_index do |key, index| %>
                      <option value="<%= @select_values[index] %>"><%= key %></option>
                    <% end %>
                  </select>
                  <div id="bar-graph" style="width: 100%;height:90vh;"></div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>

<script>
  var myChart = echarts.init(document.getElementById('bar-graph'));

  $(document).ready(init_dashboard_chart);
  $(document).ready(init_specialties_chart);
  //setTimeout(function(){myChart.resize();}, 10000);
  //^Dívida técnica

  $(window).on('resize', function(){
    if(myChart != null && myChart != undefined){
      myChart.resize();
    }
  });
</script>
